Transfer ownership
Transfer repository ownership or attach to an organization.
Two modes of operation:
- Transfer ownership within an organization: Provide new_owner_user_id to change the repository owner to another user in the same organization
- Transfer personal repo to organization: Provide target_organization_id to attach a personal repository to an organization
Exactly one of new_owner_user_id or target_organization_id must be provided.
Documentation Index
Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
3 - 128"example_id"
Body
Transfer repository ownership or attach to organization:
- User ID: Transfer ownership within an organization to another user
- Organization ID: Attach a personal repository to an organization
Response
Repository transferred successfully
1 - 128^\S.*\S$|^\S$"repo-name"
"example_id"
Seconds since epoch UTC
The ID of the organization to associate the repo with. If not provided, the system will use the user's organization if they belong to exactly one.
Optional URL of the git repository being synced with the repo
One of: 1 - latest commit of default branch, 2 - default branch with history, 3 - full repo with history, 4 - full repo with history and sync [default]
1, 2, 3, 4 The method used to calculate the digest of BLOBs in the repo.
sha1, md5 
